hammer architecture create with no name specified gives wrong error message

08/12/2014 06:50 AM - Martin Bacovsky

Status: Duplicate   

Priority: Normal   

Assignee: Martin Bacovsky   

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1128294 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1624

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1128294

Description of problem:

hammer architecture create with no name specified gives wrong error message

Version-Release number of selected component (if applicable):

GA Snap 4 - Satellite-6.0.4-RHEL-6-20140806.0

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.19-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.19-1.el6_5.noarch

candlepin-tomcat6-0.9.19-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.6.0.38-1.el6sat.noarch

foreman-compute-1.6.0.38-1.el6sat.noarch

foreman-gce-1.6.0.38-1.el6sat.noarch

foreman-libvirt-1.6.0.38-1.el6sat.noarch

foreman-ovirt-1.6.0.38-1.el6sat.noarch

foreman-postgresql-1.6.0.38-1.el6sat.noarch

foreman-proxy-1.6.0.23-1.el6sat.noarch

foreman-selinux-1.6.0.4-1.el6sat.noarch

foreman-vmware-1.6.0.38-1.el6sat.noarch

katello-1.5.0-28.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.6-1.el6sat.noarch

katello-installer-0.0.57-1.el6sat.noarch

openldap-2.4.23-34.el6_5.1.x86_64

pulp-katello-0.3-3.el6sat.noarch

pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch

pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch

pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch

pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch

pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch

pulp-selinux-2.4.0-0.30.beta.el6sat.noarch

pulp-server-2.4.0-0.30.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

sssd-ldap-1.11.5.1-3.el6.x86_64

How reproducible:

Always
Steps to Reproduce:

hammer> architecture create

Could not create the architecture:

Name has already been taken

Actual results:

Error message: Name has already been taken

Expected results:

Something like: --name is required?

Additional info:

Related issues:

Is duplicate of Foreman - Bug #6432: attributes missing :presence => true Closed 06/29/2014

History

#1 - 08/12/2014 06:52 AM - Martin Bacovsky

- Category set to API

#2 - 08/12/2014 07:08 AM - Martin Bacovsky

- Status changed from New to Duplicate

- Pull request https://github.com/theforeman/foreman/pull/1624 added

- Pull request deleted ()

Duplicate of http://projects.theforeman.org/issues/6432

Fixed in PR https://github.com/theforeman/foreman/pull/1624

#3 - 08/12/2014 07:09 AM - Martin Bacovsky

- Related to Bug #6432: attributes missing :presence => true added

#4 - 08/12/2014 07:09 AM - Martin Bacovsky

- Related to deleted (Bug #6432: attributes missing :presence => true)

#5 - 08/12/2014 07:09 AM - Martin Bacovsky

- Is duplicate of Bug #6432: attributes missing :presence => true added
